<template>
  <div class="trow" :class="{ 'show': isShow }">
    <!-- TransactionInformation -->
    <div class="trow__information">
      <div class="td th1 status" :class="transaction.status">{{ transaction | transactionStatus }}</div>
      <div class="td th2 coin">{{ transaction.currency }}</div>
      <div class="td th3">{{ transaction.amount | formatCurrencyAmount(transaction.currency, '0') }}</div>
      <div class="td th4">{{ formatDate(transaction) }}</div>
      <div class="td th5">
        <i class="fa down-arrow" @click="toggle" :class="`${isShow ? 'fa-angle-up' : 'fa-angle-down' }`" aria-hidden="true"></i>
      </div>
    </div>

    <div class="trow__detail">
      <div class="trow__detail-wrapper">
        <div class="item">
          <span class="title">{{ $t('deposit.transaction_detail.address') }}:</span>
          <span class="description">{{ transaction.to_address }}</span>
        </div>

        <div class="item">
          <span class="title">{{ $t('deposit.transaction_detail.txid') }}:</span>
          <span class="description"><a class="link" target="_blank" :href="transaction | txExplore">{{ transaction.txid }}</a></span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import moment from 'moment';
  export default {
    props: {
      transaction: {
        type: Object,
      }
    },
    data () {
      return {
        isShow: false,
      };
    },
    methods: {
      toggle () {
        this.isShow = !this.isShow;
      },
      formatDate (transaction) {
        return moment(transaction.created_at).format('YYYY-MM-DD HH:mm:ss');
      },
    },
  };
</script>
<style lang="scss" scoped>
  @import '../../../../sass/_variables.scss';
  * {
    font-family: $font-family-home;
  }
  .link {
    text-decoration: $link-decoration;
    color: $link-color;
    &:hover {
      text-decoration: $link-hover-decoration;
      color: $link-hover-color;
    }
  }
  .status {
    text-transform: capitalize;
    &.waiting {
      color: #4a90e2;
    }
    &.confirming {
      color: #4caf50;
    }
    &.succeeded {
      color: #fa7300;
    }
    &.failed {
      color: #d0021b;
    }
  }
  .coin {
    text-transform: uppercase;
  }
  .trow {
    cursor: pointer;
    border-bottom: 1px solid #e0e0e0;
    transition: all 0.4s;

    &.show {
      border-bottom: 1px solid #fa7300;

      .trow__detail {
        max-height: 500px;
      }
    }
  }

  .td {
    font-size: $small;
    display: inline-block;
    color: $gray;
    padding: 14px 0;
  }

  .trow__detail {
    max-height: 0;
    overflow: hidden;
    transition: all 0.4s ease-out;

    .trow__detail-wrapper {
      padding: 19px 32px 34px;
    }

    .item {
      font-size: 0;
      &:not(:last-child) {
        margin-bottom: 6px;
      }
      .title {
        font-size: $small;
        color: #989898;
        margin-right: 7px;
        width: 55px;
        display: inline-block;
        vertical-align: top;
      }

      .description {
        font-size: $small;
        color: $gray;
        display: inline-block;
        max-width: calc(100% - 62px);
        overflow-wrap: break-word;
      }
    }
  }

  .th1 {
    width: 20%;
  }

  .th2 {
    width: 10%;
  }

  .th3 {
    width: 25%;
  }

  .th4 {
    width: 30%;
      text-align: center;
  }

  .th5 {
    width: 15%;
      text-align: center;
  }

  .down-arrow {
    font-family: FontAwesome;
  }
</style>
